{{ template "base" . }}

{{ define "title" }}Details for {{ .Wine.Name }}{{ end }}

{{ define "content" }}
<form class="pure-form pure-form-aligned" method="POST">
	<div class="content smallfooter pure-u-1">
		<div class="maxwidth box">
			<input type="hidden" name="id" value="{{ .Wine.ID }}">

			<fieldset>
				<div class="pure-control-group">
					<label for="form-id">ID</label>
					<input type="text" id="form-id" value="{{ .Wine.ID }}" disabled>
				</div>

				<div  class="pure-control-group">
					<label for="form-name">Name</label>
					<input id="form-name" type="text" name="name" value="{{ .Wine.Name }}" placeholder="Name">
				</div>

				<div  class="pure-control-group">
					<label for="form-rating">Rating</label>
					<input id="form-rating" type="number" name="rating" value="{{ .Wine.Rating }}" placeholder="Rating">
				</div>
			</fieldset>

			<p>And here's a picture:<br/>

			<img class="foto pure-img" src="/details/img?id={{ .Wine.ID }}"/>
		</div>
	</div>

	<footer class="small pure-u-1">
		<div class="maxwidth box">
			<button type="submit" name="action" value="save" class="pure-button pure-button-primary">
				Save Changes
			</button>
			<button type="submit" name="action" value="delete" class="right pure-button button-warning">
				Delete
			</button>
		</div>
	</footer>
</form>
{{ end }}